## com.google.gwt.user.client
Class Window.ScrollEvent

    java.lang.Object
      com.google.gwt.event.shared.GwtEvent<Window.ScrollHandler>
          com.google.gwt.user.client.Window.ScrollEvent

Enclosing class:
  Window

    public static class Window.ScrollEvent

extends GwtEvent<Window.ScrollHandler>

Fired when the browser window is scrolled.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent
`GwtEvent.Type<H>`

Method Summary
`protected void` | `dispatch(Window.ScrollHandler handler)` Should only be called by `HandlerManager`.
`GwtEvent.Type<Window.ScrollHandler>` | `getAssociatedType()` Returns the type used to register this event.
`int` | `getScrollLeft()` Gets the window's scroll left.
`int` | `getScrollTop()` Get the window's scroll top.

Methods inherited from class com.google.gwt.event.shared.GwtEvent
`assertLive, getSource, isLive, kill, revive, toDebugString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getAssociatedType

    public final GwtEvent.Type<Window.ScrollHandler> getAssociatedType()

  Description copied from class: `GwtEvent`
  Returns the type used to register this event. Used by handler manager to dispatch events to the correct handlers.

  Specified by:
    `getAssociatedType` in class `GwtEvent<Window.ScrollHandler>`
  Returns:
    the type

### getScrollLeft

    public int getScrollLeft()

  Gets the window's scroll left.

  Returns:
    window's scroll left

### getScrollTop

    public int getScrollTop()

  Get the window's scroll top.

  Returns:
    the window's scroll top

### dispatch

    protected void dispatch(Window.ScrollHandler handler)

  Description copied from class: `GwtEvent`
  Should only be called by `HandlerManager`. In other words, do not use or call.

  Specified by:
    `dispatch` in class `GwtEvent<Window.ScrollHandler>`
  Parameters:
    `handler` - handler